﻿using System.Windows.Forms.DataVisualization.Charting;
using System.Xml.Serialization;

namespace uTILLIty.ChartBuilder.Core.Configuration
{
	public class SeriesConfiguration
	{
		[XmlAttribute("name")]
		public string Name { get; set; }

		[XmlAttribute("dataSource")]
		public string DataSourceName { get; set; }
		public SeriesChartType ChartType { get; set; }
		public string XAxisTitle { get; set; }
		public string XValueColumn { get; set; }
		public string YAxisTitle { get; set; }
		public string YValueColumn { get; set; }

		[XmlAttribute("legendText")]
		public string LegendText { get; set; }
	}
}